Subject: Re: V
From: [email-masked] (Brendan Simon)

4 Nov 1997 22:45:37 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: multipart/mixed; boundary="------------4F7770918C0201ECB210CDD7"
To: [email-masked]

This is a multi-part message in MIME format.
--------------4F7770918C0201ECB210CDD7
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit

You need to ftp the vwinXXX.zip package from ftp.cs.unm.edu.
I think it is in the directory /pub/wampler
You also need to get the gnuwin files that was uploaded by some kind soul.
There are two files (config.mk and makefile) concatenated together into one
file.  Just retrieve the file and seperate into the two files.

Follow the READMEs to compile.  I had a problem with the case sensitivity but I

managed to bodge around it by renmaing V_DEFS.H to v_defs.h in the include
directory.

It works well.

NOTE: I had real problems getting stdin, stdout, stderr and and file I/O to
work.  It would link without
any errors but would crash out when any I/O was attempted.
I finally solved it (trial and error) by removing all libraries that were being

linked and putting them back
in one at a time until it compiled.  I can't remember which libraries I left
out but I think it was
user32, kernel32, cygwin and maybe a couple of others.  I'm not sure if these
have been compiled into
the V library or not.  I would think not.  All I know is this now works for my
system.

Good luck
Brendan Simon

PS.  C++ compiling with V is very slow. (thoungh I am using a 486 DX2/66).
It's probably just as slow with any other C++ compiler.  I'm not sure.

Leon wrote:

> Hello.
> I am a new user of the GNU-32 tools.  I have installed the package and have
> been compiling my c++ programs using G++.
>
> I am interesting in using V to create GUI programs, but after reading the
> FAQ's and other documentation, I am unsure where to begin.
>
> Thanks for your help...
>
>                                 Leon
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--------------4F7770918C0201ECB210CDD7
Content-Type: text/x-vcard; charset=us-ascii; name="vcard.vcf"
Content-Transfer-Encoding: 7bit
Content-Description: Card for Brendan Simon
Content-Disposition: attachment; filename="vcard.vcf"

begin:          vcard
fn:             Brendan Simon
n:              Simon;Brendan
org:            Secure Network Solutions - Randata
adr:            3 Hall St;;Hawthorn;Hawthorn;Vic;3122;Australia
email;internet: [email-masked]
title:          Design Engineer
tel;work:       +61 3 9269 9427
tel;fax:        +61 3 9822 9980
tel;home:       +61 3 9789 3387
x-mozilla-cpt:  ;0
x-mozilla-html: FALSE
version:        2.1
end:            vcard

--------------4F7770918C0201ECB210CDD7--

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".